## Class TSqlMapException

Description

TSqlMapException is the base exception class for all SqlMap exceptions.

- since: 3.1
- version: $Id: TSqlMapException.php 1645 2007-01-20 23:46:35Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/DataMapper/TSqlMapException.php (line 11)

    Exception
       |
       --TException
          |
          --TSqlMapException

Direct descendents

Class | Description
--- | ---
TSqlMapConfigurationException | TSqlMapConfigurationException, raised during configuration file parsing.
TSqlMapUndefinedException | TSqlMapUndefinedException, raised when mapped statemented are undefined.
TSqlMapDuplicateException | TSqlMapDuplicateException, raised when a duplicate mapped statement is found.
TInvalidPropertyException | TInvalidPropertyException, raised when setting or getting an invalid property.
TSqlMapExecutionException | TSqlMapException is the base exception class for all SqlMap exceptions.

Method Summary
TSqlMapException __construct (mixed $errorMessage)
string getErrorMessageFile ()
string implodeNode (SimpleXmlElement $node)
Methods
Constructor __construct (line 18)

Constructor, similar to the parent constructor. For parameters that are of SimpleXmlElement, the tag name and its attribute names and values are expanded into a string.

- access: public

TSqlMapException __construct (mixed $errorMessage)

Redefinition of:

TException::__construct()
  Constructor.

getErrorMessageFile (line 51)

- return: path to the error message file
- access: protected

string getErrorMessageFile ()

Redefinition of:

TException::getErrorMessageFile()

implodeNode (line 40)

- return: tag name and attribute names and values.
- access: protected

string implodeNode (SimpleXmlElement $node)

- SimpleXmlElement $node: node

#### Inherited Methods

Inherited From TException

> TException::__construct()
> TException::getErrorCode()
> TException::getErrorMessage()
> TException::getErrorMessageFile()
> TException::setErrorCode()
> TException::setErrorMessage()
> TException::translateErrorMessage()

Documentation generated on Mon, 21 Apr 2008 11:36:17 -0400 by phpDocumentor 1.3.0RC4